# Gitlab CI Job Docker Image Retag

```yaml
---

include:
  project: 'tools/continuous-integration/docker/img-core'
  file: 'gitlab-ci.yml'
  ref: master

##############################################################

variables:
  REGISTRY_TAG_OLD: "$CUSTOM_TAGPREFIX-$CI_COMMIT_SHORT_SHA"
  REGISTRY_TAG_NEW: "latest"
  TRUNK_REF: 'master'

##############################################################

## PIPELINE DEFINITION
stages:
  - lint
  - pack
  - scan
  - release

##############################################################

#### RELEASE SECTION
registry-trunk:
  stage: release
  variables:
    GIT_STRATEGY: "none"
  image:
    name: $RETAG_IMAGE
    entrypoint: ["/usr/bin/env", "sh", "-c"]
  script:
    - sh /entrypoint.sh
  rules:
    - if: $CI_COMMIT_BRANCH == $TRUNK_REF
    - when: never

```
